Summary:	A tcp stream sniffer, tracker and capturer
Name: 		tcpick
Version: 	0.2.1
Release: 	1
License: 	GPLv2+
Group: 		Applications/Internet
URL: 		http://tcpick.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-CVE-2006-0048.patch
Patch1:		%{name}-%{version}-ppc.patch
Patch2:		%{name}-%{version}-pointers.patch
Patch3:		%{name}-%{version}-cpu-loop.patch
Patch4:		%{name}-%{version}-timezone.patch
Patch10:	%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libpcap-devel >= 1.4.0-1
BuildRequires:	gcc >= 4.2.3-2
Requires:	libpcap >= 1.4.0-1

%description
tcpick is a textmode sniffer that can track tcp streams and saves 
the data captured in files or displays them in the terminal. Useful 
for picking files in a passive way.

It can store all connections in different files, or it can display
all the stream on the terminal. It is useful to keep track of what
users of a network are doing, and is usable with textmode tools
like grep, sed and awk. It can handle eth and ppp interfaces.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .CVE-2006-0048
%patch1 -p1 -b .ppc
%patch2 -p1 -b .pointers
%patch3 -p1 -b .cpu-loop
%patch4 -p1 -b .timezone
%patch10


%build
CC=gcc
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --bindir=%{_sbindir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

# move the Italian man page to its correct place
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/it/man8
mv -f ${RPM_BUILD_ROOT}%{_mandir}/man8/tcpick_italian.8 ${RPM_BUILD_ROOT}%{_mandir}/it/man8/tcpick.8

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING EXAMPLES KNOWN-BUGS README THANKS TODO
%{_sbindir}/*
%{_mandir}/man8/%{name}.8*
%{_mandir}/it/man8/%{name}.8*
/usr/sbin/*


%changelog
* Mon Jan 20 2014 Michael Perzl <michael@perzl.org> - 0.2.1-1
- first version for AIX V5.1 and higher
